3 Replies Latest reply on Nov 26, 2019 2:31 PM by itobinh

    Apex 19.2 on Oracle XE 11gR2 error: not ok 7 - Installing Package Specs (Runtime)

    itobinh

      Dear All,

       

      I received error message during installation of Apex 19.2 on Oracle XE 11gR2.

      Before installation of Apex 19.2, I have upgraded built-in Apex on XE 11gR2 to Apex 5.14.

       

      Here is the installation log, something to do with nls_numeric_characters ?

      Any one can help? Thank you in advance.

       

      #

      # Creating APEX_INSTANCE_ADMIN_USER

      #

      APEX_INSTANCE_ADMIN_USER exists, but is not in use. Lock account.

      ...apxsqler_exit.sql

      Errors found. Drop APEX_190200 before re-starting the installation.

      #

      # Actions in Phase 1:

      #

          ok 1 - BEGIN                                                        |   0.00

          ok 2 - Creating FLOWS_FILES                                         |   0.00

          ok 3 - Creating APEX_PUBLIC_USER                                    |   0.00

          ok 4 - Creating APEX_GRANTS_FOR_NEW_USERS_ROLE                      |   0.02

          ok 5 - Creating SYS Objects                                         |   0.00

          ok 6 - Creating APEX Tables                                         |   0.23

          not ok 7 - Installing Package Specs (Runtime)                       |   1.05

          # Message: ORA-01756: quoted string not properly terminated

          # Statement: begin

          # execute immediate "alter session set nls_numeric_characters="""||wwv_flow_

      api.g_nls_numeric_chars||"""";

          # end;

          # Message: ORA-06512: at line 2

          # Statement: as above

          ok 8 - Installing Package Bodies (Runtime)                          |   0.42

          ok 9 - Dev Grants                                                   |   0.02

          ok 10 - Creating Dev-Only Tables and Triggers                       |   0.00

          ok 11 - Installing Package Specs (Dev)                              |   0.40

          ok 12 - Installing Views (Dev)                                      |   0.03

          ok 13 - Installing Package Bodies (Dev)                             |   0.72

          ok 14 - Recompiling APEX_190200                                     |   1.52

          ok 15 - Creating APEX$ objects in APEX_190200                       |   0.03

          ok 16 - Creating Spatial Support                                    |   0.00

          ok 17 - Creating Instance Parameter Defaults                        |   0.02

          ok 18 - Installing Page Designer Metadata                           |   0.10

          ok 19 - Inherit Privileges                                          |   0.00

          ok 20 - Creating APEX_INSTANCE_ADMIN_USER                           |   0.02

      not ok 1 - 19 actions passed, 1 actions failed                          |   4.57

      begin

      *

      ERROR at line 1:

      ORA-20001: Install errors found in phase 1, see "not ok" messages above for

      details.

      ORA-06512: at "APEX_190200.WWV_INSTALL_API", line 440

      ORA-06512: at line 5